%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary:		Antlr3 C runtime
Name:			antlr3-C
Version:		3.2
Release:		1%{?dist}
URL:			http://www.antlr.org/
Source0: 		http://www.antlr.org/download/C/libantlr3c-%{version}.tar.gz
License:		BSD
Group:			Development/Libraries
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This package provides the antlr3 C runtime for antlr-enabled applications.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries

Requires:   %{name} = %{version}-%{release}

%description devel
This package contains development files (headers) for %{name}.

%prep
%setup -q -n libantlr3c-%{version}

%build
%ifarch x86_64 ppc64
%configure --disable-abiflags --enable-debuginfo --enable-64bit
%endif
%ifarch %{ix86} ppc
%configure --disable-abiflags --enable-debuginfo
%endif

sed -i "s/CFLAGS = .*/CFLAGS = $RPM_OPT_FLAGS/" Makefile
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm $RPM_BUILD_ROOT%{_libdir}/libantlr3c.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*

%changelog
* Sat Oct 30 2010 Miloš Jakubíček <xjakub@fi.muni.cz> - 3.2-1
- Standalone package for C runtime
